{"tags":[{"name":"geo","description":"Geospatial data related APIs"},{"description":"Per-client Attributes","name":"client-state"},{"description":"Images APIs","name":"images"},{"name":"pages","description":"Content Pages APIs"},{"name":"settings","description":"Account settings APIs"},{"name":"metadata","description":"Metadata about the API"},{"description":"Calendar and Scheduling APIs","name":"calendar"},{"description":"Messaging and Notification related APIs","name":"messaging"},{"name":"address","description":"Geospatial and address related APIs"},{"description":"Service Request related APIs","name":"service-request"},{"name":"administrator","description":"ReCollect Administrator related APIs"},{"name":"connector","description":"Data Import Connector related APIs"},{"description":"Dashboard reporting metric APIs","name":"metrics"},{"description":"Creating Support Requests","name":"support-request"},{"description":"Recycle Game related APIs","name":"waste-game"},{"name":"watermeter","description":"APIs specific to Watermeter Services"},{"name":"waste","description":"APIs specific to Solid Waste and Recycling"}],"schemes":["https"],"securityDefinitions":{"RecSecurity":{"in":"header","name":"Authorization","type":"apiKey","description":"The Authorization header should contain the word 'Bearer', a space and then your ReCollect Auth Token"}},"host":"api.recollect.net","consumes":["application/json"],"paths":{"/areas/{area_id}/services/{svc_id}/zones/{zone_id}/events":{"put":{"responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"},{"in":"body","name":"body","schema":{"properties":{"approve_all":{"type":"boolean","description":"If set to true, all events in the zone will be approved."}},"type":"object"},"description":"a JSON object containing the actions to run"}],"description":"<p>This method lets you approve all Events in the given Zone.</p> <p>Events that are not approved are only visible to administrators, but not residents.  This API call will make the un-approved Events visible to Admins.</p>\n","tags":["calendar"],"summary":"Bulk update Events in a Zone"},"post":{"description":"<p>Create a new Event in the Calendar for a Zone.</p> <p>This method can be used in several ways, for creating one event or several:\n  <ul>\n    <li>If <code>repeat</code> is true, then events will be created for each of the dates listed in the <code>recurring_days</code> array.</li>\n    <li>If <code>copy_from</code> is set to a valid Zone ID, then all of the calendar events from that Zone will be copied into the Zone ID specified in the URL path.</li>\n    <li>Otherwise, a single event is created.</li>\n  </ul>\n</p> <p>When creating a single event, you can specify a <code>title</code> and <code>desc</code>ription that will be used instead of the EventFlag <code>title</code> and <code>desc</code> values.  Alternately, you can specify titles and descriptions for multiple locales using the <code>title_loc</code> and <code>desc_loc</code> parameters, which expect a locale hash.</p>\n","summary":"Create a new Event in a Zone","tags":["calendar"],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"404":{"description":"404 Not Found - could not find anything at this path."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"201":{"description":"201 Created - the resource was created."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"},{"description":"a JSON object containing the actions to run","required":true,"schema":{"$ref":"#/definitions/NewEvent"},"name":"body","in":"body"}]},"get":{"tags":["calendar"],"summary":"Return the Events for a given Zone","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"},{"in":"query","type":"string","name":"locale","description":"The locale code for this request. (eg: \"en\" or \"fr\")"},{"name":"after","type":"string","in":"query","description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources after the given date."},{"description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources before the given date.","in":"query","type":"string","name":"before"},{"in":"query","name":"holidays","type":"string","description":"A comma separated list of page names to be returned in the response."},{"in":"query","type":"boolean","name":"nomerge","description":"Should we not merge events together into one per day? (Default is false: merge them into one per day)"}],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK","schema":{"$ref":"#/definitions/EventsZones"}},"404":{"description":"404 Not Found - could not find anything at this path."}}}},"/areas/{area_id}/services/{svc_id}":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK","schema":{"$ref":"#/definitions/Service"}},"403":{"description":"403 Forbidden - must be a valid admin user."}},"summary":"Get a Service","tags":["settings"],"description":"This method will retrieve attributes for the given Service.\n"},"put":{"tags":["settings"],"summary":"Update a Service","description":"This method will update attributes for the given Service. When you post updated opts_json, it is necessary to provide an opts_checksum field, with the value coming from a previous service GET.  The opts_checksum field is used to avoid edit conflicts.\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"required":true,"schema":{"$ref":"#/definitions/Service"},"description":"The attributes you want to update in the Area","in":"body","name":"body"}],"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."}}}},"/areas/{area_id}/logo.svg":{"get":{"summary":"Get an Area logo","tags":["images"],"description":"This method will return the logo of the given area.\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"}],"responses":{"302":{"description":"Redirect to the current image URL"},"400":{"description":"400 Bad Request - could not fulfill this request."}}}},"/places/{place_id}":{"get":{"description":"This method will retrieve a Place object.\n","summary":"Get a Place","tags":["address"],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK","schema":{"$ref":"#/definitions/Place"}}},"parameters":[{"type":"string","name":"place_id","in":"path","description":"Place ID is the UUID for a given place within ReCollect","required":true}]},"put":{"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"404":{"description":"404 Not Found - could not find anything at this path."},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}},"parameters":[{"type":"string","name":"place_id","in":"path","description":"Place ID is the UUID for a given place within ReCollect","required":true},{"name":"body","in":"body","description":"The attributes you want to update in the Place","required":true,"schema":{"$ref":"#/definitions/Place"}}],"description":"This method will update attributes for the given Place. Admins only.\n","summary":"Update a Place","tags":["address"]}},"/areas/{area_id}/game/config.{locale}.json":{"get":{"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK"}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"in":"path","type":"string","name":"locale","required":true,"description":"The locale code for this request. (eg: \"en\" or \"fr\")"}],"description":"This method will retrieve the config for the waste game.\n","summary":"Get the game main configuration.","tags":["waste-game"]}},"/metrics/{area_id}/services/{svc_id}/game_cert_printed_stats":{"get":{"description":"Get the numbers of game certificates printed\n","tags":["metrics"],"summary":"Get game certificates print stats","responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}]}},"/areas/{area_id}/services/{svc_id}/pages/{locale}/{page_id}/section/{section_index}/row/{row_index}/{property_name}":{"get":{"responses":{"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"path","type":"string","name":"locale","required":true,"description":"The locale code for this request. (eg: \"en\" or \"fr\")"},{"description":"The Page ID you want to fetch","required":true,"name":"page_id","type":"string","in":"path"},{"required":true,"description":"The index of the section","in":"path","name":"section_index","type":"number"},{"description":"The index of the row","required":true,"name":"row_index","type":"string","in":"path"},{"required":true,"description":"The name of the property to return","in":"path","name":"property_name","type":"string"}],"description":"This method will retrieve a specific page in the specified locale and return a single property from a row.\n","summary":"Get a single property for a row in a page","tags":["pages"]}},"/areas/{area_id}/services/{svc_id}/connector/{cname}/{status_id}/{cmd}":{"post":{"responses":{"201":{"description":"201 Created"},"200":{"description":"200 OK"},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"cname","type":"string","in":"path","description":"connector name","required":true},{"in":"path","name":"status_id","type":"string","required":true,"description":"Connector status ID"},{"type":"string","name":"cmd","in":"path","description":"Command","required":true}],"description":"For cancelling or approving a previously started connector","summary":"Send a command to manipulate a connector instance","tags":["connector"]}},"/services/{svc_id}/strings":{"patch":{"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK - the request was successful"}},"parameters":[{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"The text strings to update for this Service.  Should be a JSON object of key value pairs.  The key should be the locale name, and the value should be a hash of key value pairs (msgid to msgstr) to override for the given service.\n","required":true,"schema":{"$ref":"#/definitions/ServiceStrings"},"name":"body","in":"body"}],"description":"This method will update the text string customizations that have been setup for this service.  Only the specified strings will be updated, the rest will be preserved.\n","summary":"Update specific text string customizations","tags":["settings"]},"put":{"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK - the request was successful"},"403":{"description":"403 Forbidden - must be a valid admin user."}},"parameters":[{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"The text strings to update for this Service.  Should be a JSON object of key value pairs (msgid to msgstr) to override for the given service.\n","required":true,"schema":{"$ref":"#/definitions/ServiceStrings"},"name":"body","in":"body"}],"description":"This method will update the text string customizations that have been setup for this service.  If you only want to set one or two strings but preserve existing customizations, then look at the corresponding PATCH method.\n","tags":["settings"],"summary":"Update text string customizations"}},"/areas/{area_id}":{"put":{"description":"This method will update attributes for the given Area.\n","summary":"Update an Area","tags":["settings"],"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"in":"body","name":"body","schema":{"$ref":"#/definitions/PutArea"},"required":true,"description":"The attributes you want to update in the Area"}]},"get":{"description":"This method will retrieve attributes for the given Area.\n","summary":"Get an Area","tags":["settings"],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"description":"200 OK","schema":{"$ref":"#/definitions/Area"}},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"}]}},"/parcels/{parcel_id}/zones/{zone_id}":{"patch":{"description":"This method will patch the parcel_zones opts for a parcel and zone.\n","tags":["parcel-zones"],"summary":"Patch parcel zones","responses":{"200":{"description":"200 OK - the request was successful"},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"required":true,"description":"The ID of the parcel you want to get zones for.","in":"path","name":"parcel_id","type":"string"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"},{"in":"body","name":"body","required":true,"schema":{"type":"object"},"description":"The parcel_zones opts you want to patch"}]},"get":{"description":"This method will retrieve the parcel_zones opts for a parcel and zone.\n","summary":"Get parcel zones","tags":["parcel-zones"],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"400":{"description":"400 Bad Request - could not fulfill this request."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"required":true,"description":"The ID of the parcel you want to get zones for.","in":"path","name":"parcel_id","type":"string"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"}]},"put":{"summary":"Update parcel zones","tags":["parcel-zones"],"description":"This method will set the parcel_zones opts for a parcel and zone.\n","parameters":[{"required":true,"description":"The ID of the parcel you want to get zones for.","in":"path","name":"parcel_id","type":"string"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"},{"name":"body","in":"body","description":"The parcel_zones opts you want to set","required":true,"schema":{"type":"object"}}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"400":{"description":"400 Bad Request - could not fulfill this request."}}}},"/service_requests/{sr_id}/pull-event/{event_status}":{"post":{"tags":["service-request"],"summary":"POST an event for a ServiceRequest for a given status","description":"<p>POST a status like: cancelled, completed, rescheduled or updated for a given ServiceRequest.</p>\n","parameters":[{"in":"path","name":"sr_id","type":"string","required":true,"description":"Process Request ID is a short 9 character identifier"},{"in":"path","type":"string","name":"event_status","required":true,"description":"The status of the event"},{"name":"body","in":"body","description":"Data to send for the event","schema":{"type":"object"},"required":false}],"responses":{"200":{"description":"200 OK - the request was successful"}}}},"/service_requests/{req_id}/parcel-info":{"get":{"responses":{"200":{"description":"204 No Content - the request was successful, but no content is returned."},"403":{"description":"403 Forbidden - must be a valid admin user."},"404":{"description":"404 Not Found - could not find anything at this path."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"required":true,"description":"Process Request Identifier is a short 9 character identifier or the UUID (routeware_id) of the request","in":"path","name":"req_id","type":"string"}],"description":"<p>You can fetch an existing Service Request's parcel information by an External ID.</p> <p>This request is admin only.</p>\n","tags":["service-request"],"summary":"Get a ServiceRequest's parcel information"}},"/metrics/{area_id}/services/{svc_id}/app_review_stats":{"get":{"description":"Get the numbers of app reviews\n","tags":["metrics"],"summary":"Get app review stats","responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}]}},"/areas/{area_id}/services/{svc_id}/googleActions/materialSearch":{"get":{"description":"Search for Waste Wizard materials from Google Assistant\n","summary":"Google Actions voice material search","tags":["waste"],"responses":{"200":{"description":"200 OK - the request was successful"}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"query","type":"string","name":"material","description":"What are you searching for?"}]}},"/metrics/{area_id}/services/{svc_id}/activity/reminders":{"get":{"description":"<p>This endpoint will return time-series data of where reminders were created and when.  It is used by the Geo Dashboard.</p>\n","tags":["metrics"],"summary":"Fetch history of where reminders were created","responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK"},"403":{"description":"403 Forbidden - must be a valid admin user."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Only return results that have an <code>updated_at</code> after this time.","format":"date-time","in":"query","type":"string","name":"since"}]}},"/areas/{area_id}/services/{svc_id}/calendar_audit":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK"}},"tags":["calendar"],"summary":"Get an audit of calendars running out of events.","description":"Audits the zones in the Service to determine which are running out of events and need updates.\n"}},"/services/{svc_id}/clients/{client_id}":{"put":{"description":"This method will let you store per-client info.  Each client creates a UUID and uses this to record state.\n","summary":"Update a Client","tags":["client-state"],"responses":{"200":{"description":"200 OK - the request was successful"},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"client_id","type":"string","in":"path","description":"ID of the given Client. This is a UUID.","required":true},{"schema":{"type":"object","properties":{"page_set_name":{"type":"string"},"page_set_title":{"type":"string"}}},"required":true,"description":"The attributes you want to set for the Client","in":"body","name":"body"}]}},"/metrics/{area_id}/services/{svc_id}/support_requests_forwarded_stats":{"get":{"description":"Get number of Support Requests forwarded out of ReCollect on to other systems, in the given timeframe.\n","tags":["metrics"],"summary":"Get timeseries stats on Support Requests forwarded out of ReCollect","responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}]}},"/areas/{area_id}/services/{svc_id}/pages/{locale}/{page_id}.json":{"get":{"tags":["pages"],"summary":"Get a Page","description":"This method will retrieve a specific page in the specified locale.\n","parameters":[{"description":"return only page variables","type":"boolean","name":"variables_only","in":"query"},{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"path","type":"string","name":"locale","required":true,"description":"The locale code for this request. (eg: \"en\" or \"fr\")"},{"description":"The Page ID you want to fetch","required":true,"name":"page_id","type":"string","in":"path"}],"responses":{"200":{"description":"200 OK","schema":{"$ref":"#/definitions/Page"}},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}}}},"/areas/{area_id}/services/{svc_id}/pages/{locale}/stream/export":{"get":{"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"path","type":"string","name":"locale","required":true,"description":"The locale code for this request. (eg: \"en\" or \"fr\")"}],"description":"This method will return a JSON structure containing all wizard data about streams.\n","summary":"Export Wizard stream data","tags":["pages"],"produces":["application/json"]}},"/link/{link_id}":{"put":{"responses":{"200":{"description":"200 OK - the request was successful"},"403":{"description":"403 Forbidden - must be a valid admin user."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"in":"path","name":"link_id","type":"string","required":true,"description":"Link ID"},{"name":"body","in":"body","schema":{"properties":{"url":{"type":"string","description":"The URL of the link to update.\n"}},"type":"object"},"required":true}],"description":"This method will update a link.\n","tags":["links"],"summary":"Update a link"}},"/areas/{area_id}/services/{svc_id}/zones/{zone_id}.kmz":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"}],"responses":{"200":{"description":"200 OK - the request was successful"}},"summary":"Get a Zone","tags":["geo"],"description":"This method will retrieve attributes for the given Zone.\n","produces":["application/vnd.google-earth.kml+xml"]}},"/areas/{area_id}/services/{svc_id}/events":{"get":{"description":"<p>Returns up to 100 events, starting after the current time. The time range can be set using the <code>before</code> and <code>after</code> Query parameters.</p>\n","summary":"Return the Events for a given Service","tags":["calendar"],"responses":{"200":{"schema":{"$ref":"#/definitions/EventsZones"},"description":"200 OK"},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"query","type":"string","name":"locale","description":"The locale code for this request. (eg: \"en\" or \"fr\")"},{"name":"after","type":"string","in":"query","description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources after the given date."},{"description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources before the given date.","in":"query","type":"string","name":"before"}]},"delete":{"summary":"Bulk delete calendar events","tags":["calendar"],"description":"Delete calendar events from multiple zones after a given date. (Global admins, only.)\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"body","in":"body","description":"<p>Body JSON specifies two or three parameters:  <code>zones</code> the list of zones to modify, and <code>delete_after</code> (mandatory) and <code>delete_before</code> (optional), which are ISO8601 timestamps that describe the time range to delete events.</p>\n","schema":{"$ref":"#/definitions/BulkDeleteEvents"},"required":true}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"description":"200 OK - the request was successful"},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}}},"post":{"responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK - the request was successful"},"400":{"description":"400 Bad Request - could not fulfill this request."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"<p>CSV-style content containing the FROM zone and the TO zone, one copy per line.  <br />Example: <pre>FROM-zone1, TO-zone1</pre></p><p>If any of the FROM or TO zones do not exist, the method will fail, and an error message is returned.</p> <p>If the first line matches the pattern <code>/^after=\\d\\d\\d\\d-\\d\\d-\\d\\d$/</code>, then it will be used as a YYYY-MM-DD timestamp. Only events after this date at 00:00:00 in the area's local timezone will be copied.</p>\n","schema":{"$ref":"#/definitions/BulkCopyEvents"},"required":true,"name":"body","in":"body"}],"description":"Bulk copy calendars from one zone to another\n","tags":["calendar"],"summary":"Bulk copy zone calendar events"}},"/areas/{area_id}/services/{svc_id}/place-data-export":{"get":{"responses":{"200":{"description":"200 OK","schema":{"$ref":"#/definitions/PlaceDataList"}},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"query","type":"string","name":"key","description":"Optional, will filter results to only include place data with this key present."},{"in":"query","name":"expand_opts","type":"string","description":"Optional. If true, the opts_json fields will be expanded into separate columns."}],"description":"This endpoint will create a CSV export of the specified place data and send the requesting user an email with the link to the CSV file once it is ready.\n","summary":"Export application PlaceData to a CSV","tags":["address"]}},"/users/me/tokens/{token_id}":{"delete":{"tags":["metadata"],"summary":"Revoke a token","description":"Prevent an AuthToken from being used anymore.","parameters":[{"required":true,"description":"ID of the AuthToken to delete","in":"path","name":"token_id","type":"integer"}],"responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}}}},"/metrics/{area_id}/services/{svc_id}/game_average_game_play_stats":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"}},"summary":"Get average game play time stats","tags":["metrics"],"description":"Get the time of game played (seconds)\n"}},"/areas/{area_id}/services/{svc_id}/process/{process_name}":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"process_name","type":"string","in":"path","description":"Process name, eg: BIC","required":true}],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"schema":{"$ref":"#/definitions/ServiceProcess"},"description":"200 OK"},"403":{"description":"403 Forbidden - must be a valid admin user."},"404":{"description":"404 Not Found - could not find anything at this path."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"tags":["service-request"],"summary":"Fetch a ServiceProcess configuration","description":"Get a given ServiceProcess object."},"put":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"process_name","type":"string","in":"path","description":"Process name, eg: BIC","required":true},{"in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/PutProcessConfig"},"description":"JSON object defining the opts_json for the process.  The opts_json field should be encoded JSON."}],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"schema":{"$ref":"#/definitions/ServiceProcess"},"description":"200 OK"},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"summary":"Update a ServiceProcess configuration","tags":["service-request"],"description":"Update the content, time or target of a campaign"}},"/metrics/{area_id}/services/{svc_id}/wizard_first_timers_over_time":{"get":{"description":"Get the dashboard metrics for the given time period\n","tags":["metrics"],"summary":"Waste wizard first-time users, per day","responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"},{"required":false,"description":"The Page Set name you are interested in results for","in":"query","type":"string","name":"set"}]}},"/places/{place_id}/events/{event_id}":{"get":{"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK","schema":{"$ref":"#/definitions/PlaceEvent"}}},"parameters":[{"type":"string","name":"place_id","in":"path","description":"Place ID is the UUID for a given place within ReCollect","required":true},{"name":"event_id","type":"integer","in":"path","description":"Event ID","required":true},{"in":"query","type":"string","name":"include_message","description":"Which reminder target type of message would you like? (eg: \"email\" or \"sms\" or \"voice\")"},{"in":"query","type":"string","name":"locale","description":"The locale code for this request. (eg: \"en\" or \"fr\")"}],"tags":["calendar"],"summary":"Render a specific event for a given place."}},"/areas/{area_id}/services/{svc_id}/address-suggest":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"required":true,"description":"Query string - the address you are searching for. (Example: \"123 Main st\")","in":"query","type":"string","name":"q"},{"in":"query","type":"string","name":"locale","description":"The locale code for this request. (eg: \"en\" or \"fr\")"},{"description":"Skip this number of results from the beginning of the list","in":"query","type":"integer","name":"offset","minimum":0},{"minimum":0,"name":"limit","type":"integer","in":"query","description":"Return at most this number of results","maximum":100}],"responses":{"200":{"schema":{"type":"array","items":{"$ref":"#/definitions/ParcelResult"}},"description":"200 OK"},"400":{"description":"400 Bad Request - could not fulfill this request."}},"summary":"Suggest Addresses for the given search term","tags":["address"],"description":"<p>If your municipality has supplied ReCollect with specific address data, then the ReCollect address suggest API can be used to search for addresses to avoid needing geocoding.</p> <p>This method will return an array of possible address matches.  Each match will include a <code>parcel_id</code> attribute.  This attribute can be used to lookup service details, but it should not be used as a permanent identifier, as it may change in the future.  Only the <code>place_id</code> should be used as a permanent, external identifier.</p> <p>Once you have a <code>parcel_id</code>, you can look up service details using the HTTP GET <code>/api/places</code> API.</p>\n"}},"/areas/{area_id}/services/{svc_id}/failed_searches":{"delete":{"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"204 No Content - the request was successful, but no content is returned."},"400":{"description":"400 Bad Request - could not fulfill this request."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"query","name":"id","type":"integer","description":"The ID of the failed search you want to delete."}],"description":"Use this method to delete waste wizard search suggestions from the list of suggestions.\n","tags":["waste"],"summary":"Mark Waste Wizard search suggestions as deleted"}},"/areas/{area_id}/services/{svc_id}/holidays":{"get":{"responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK","schema":{"$ref":"#/definitions/EventsZones"}},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"after","type":"string","in":"query","description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources after the given date."},{"description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources before the given date.","in":"query","type":"string","name":"before"}],"description":"Holiday events are shared across all zones, and do NOT cause any notifications to be sent out.\n","summary":"Get the list of Holiday events for a Service","tags":["calendar"]},"post":{"tags":["calendar"],"summary":"Create a Holiday event for a service","description":"Holiday events are shared across all zones, and do NOT cause any notifications to be sent out.\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/NewHoliday"},"description":"JSON Object with the new Holiday body"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"201":{"description":"201 Created","schema":{"$ref":"#/definitions/Holiday"}},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."}}}},"/areas/{area_id}/game/materials.{locale}.json":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"in":"path","type":"string","name":"locale","required":true,"description":"The locale code for this request. (eg: \"en\" or \"fr\")"}],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK"},"404":{"description":"404 Not Found - could not find anything at this path."}},"tags":["waste-game"],"summary":"Get the game materials list","description":"This method will retrieve the playable materials for the waste game.\n"}},"/areas/{area_id}/services/{svc_id}/support-requests/{sr_uuid}/forward":{"post":{"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"409":{"description":"409 Conflict - the request conflicts with the current state of the resource."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"sr_uuid","type":"string","in":"path","description":"The UUID of the Support Request","required":true},{"required":false,"description":"Forward the Support Request even if it was already forwarded successfully","in":"query","type":"boolean","name":"force"}],"description":"<p>If a Support Request forwarding failed, this API can be used to trigger it to be forwarded again.</p> <p>Requests that already forwarded successfully are refused with a 409 unless <code>force=1</code> is passed.</p>\n","summary":"Trigger a Support Request to be forwarded","tags":["support-request"]}},"/metrics/{area_id}/services/{svc_id}/app_download_stats":{"get":{"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}],"description":"Get the numbers of apps downloaded\n","tags":["metrics"],"summary":"Get app download stats"}},"/reports/{area_id}/services/{svc_id}/historical/{historical_report_name}.csv":{"get":{"description":"<p>This endpoint will schedule delivery of a historical report.  The report will be created and an email will be sent to the user.</p> <p>The following report types are available: usage reminders wizard suggested-materials <ul>\n  <li><code>usage</code> - Widget historical usage report.</li>\n  <li><code>reminders</code> - Reminder historical usage report.</li>\n  <li><code>wizard</code> - Waste Wizard searches historical usage report.</li>\n  <li><code>suggested-materials</code> - Waste Wizard Suggested Materials historical usage report.</li>\n</ul>\n","tags":["metrics"],"summary":"Request email delivery of historical reports.","responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK"}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"required":true,"description":"Name of the historical report being requested.","in":"path","name":"historical_report_name","type":"string"}]}},"/areas/{area_id}/services/{svc_id}/event_flags":{"post":{"summary":"Add a new EventFlag","tags":["calendar"],"description":"Add a new EventFlag to the given Service\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"schema":{"$ref":"#/definitions/NewEventFlag"},"required":true,"description":"The details of the EventFlag you want to create.","in":"body","name":"body"}],"responses":{"201":{"description":"201 Created - the resource was created."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}}},"get":{"description":"This method will return the list of all EventFlags in the given Service\n","tags":["calendar"],"summary":"Get the list of EventFlags for a Service","responses":{"200":{"description":"200 OK","schema":{"$ref":"#/definitions/EventFlagList"}},"403":{"description":"403 Forbidden - must be a valid admin user."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}]}},"/service_requests/{sr_id}/opts":{"patch":{"parameters":[{"in":"path","name":"sr_id","type":"string","required":true,"description":"Process Request ID is a short 9 character identifier"},{"required":true,"schema":{"$ref":"#/definitions/ServiceRequestOpts"},"description":"The options to update for this Process Request.  Should be a JSON object of key value pairs (msgid to msgstr) to override for the given request.  Only the top level key is compared - no nested comparisons happen in this action.\n","in":"body","name":"body"}],"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}},"tags":["settings"],"summary":"Update specific Process Request options","description":"This method will update the Process Request options.  Only the specified options will be updated, the rest will be preserved.\n"}},"/metrics/{area_id}/services/{svc_id}/wizard_stats":{"get":{"summary":"Get stats about waste wizard usage","tags":["metrics"],"description":"Get the dashboard metrics for the given time period\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"},{"required":false,"description":"The Page Set name you are interested in results for","in":"query","type":"string","name":"set"}],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}}}},"/links/{area_id}/by_time/{link_id}":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"in":"path","name":"link_id","type":"string","required":true,"description":"Link ID"}],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK"},"403":{"description":"403 Forbidden - must be a valid admin user."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"summary":"Get time-series data on when a rco.io link was clicked","tags":["metrics"],"description":"<p>This endpoint will return a list of all clicks by day, for the given link.</p>\n"}},"/image-search/{img_class}":{"get":{"description":"This method will retrive the list of Images with in the given class\n","tags":["images"],"summary":"Get a list of Images","responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"schema":{"type":"array","items":{"$ref":"#/definitions/Image"}},"description":"200 OK"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"What class of Image","required":true,"name":"img_class","type":"string","in":"path"}]}},"/areas/{area_id}/services/{svc_id}/zones/{zone_id}":{"put":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"},{"in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/UpdateZone"},"description":"The attributes you want to update in the Zone"}],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}},"summary":"Update a Zone","tags":["geo"],"description":"This method will update attributes for the given Zone.\n"},"delete":{"tags":["geo"],"summary":"Delete a Zone","description":"Delete a zone and all the calendar events in it.\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"}],"responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}}},"get":{"description":"This method will retrieve attributes for the given Zone.\n","tags":["geo"],"summary":"Get a Zone","responses":{"200":{"schema":{"$ref":"#/definitions/Zone"},"description":"200 OK"}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"}]}},"/metrics/{area_id}/services/{svc_id}/{metric_tag_name}/{metric_tag_value}/{stat_name}":{"get":{"responses":{"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"The name of the tag you wish to filter on. Must be used with the `metric_tag_value` option as well.","required":true,"type":"string","name":"metric_tag_name","in":"path"},{"description":"The value of the tag you wish to filter on. Must be used with the `metric_tag_name` option as well.","required":true,"type":"string","name":"metric_tag_value","in":"path"},{"required":true,"description":"Name of the stat","in":"path","type":"string","name":"stat_name"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"},{"type":"string","name":"group","in":"query","description":"Group the results by this field.  Eg: \"day\", \"process\", \"zone\", \"request_type\""}],"description":"Get the number of process requests filtered by metric and group on the type of request\n","summary":"Get process request total metrics by request type","tags":["metrics"]}},"/metrics/{area_id}/services/{svc_id}/support_requests_rec_resolved_stats":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}},"summary":"Get timeseries stats on Support Requests resolved by ReCollect","tags":["metrics"],"description":"Get number of Support Requests resolved by ReCollect Support staff in the given timeframe.\n"}},"/metrics/{area_id}/services/{svc_id}/rem_locale_rem_stats":{"get":{"description":"Get the numbers of active reminders by locale\n","tags":["metrics"],"summary":"Get active reminder's locale stats","responses":{"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}]}},"/places/{place_id}/services/{svc_id}/service/requests":{"post":{"tags":["service-request"],"summary":"Create a new ServiceRequest","description":"<p>This method is used by the ReCollect Widgets and Mobile Apps, and can also be used to integrate ReCollect with other ticketing systems.</p> <p>The <code>{place_id}</code> parameter can reference external ids (such as customer account IDs) using the <code>external:</code> prefix.  Contact ReCollect Support to determine how your external ids are named.</p> <p>When this request is made with a valid API key for a given area, no items need to be supplied, and the <code>counts_towards_limit</code> parameter can be set. This can be useful to record collection requests in ReCollect, so that the system can correctly apply service limits.</p> <p>An optional parameter: <code>skip_emails</code> can be set to a true value, to avoid sending a confirmation and reminder email to the requestor of the BIC.  Useful when updating ReCollect about requests created externally.</p> <p>The <code>process_name</code> parameter can be used to specify which ServiceProcess this request is for.</p> <p>The <code>event_id</code> parameter is the ID of an event in the special collection that is in your places schedule. See `/api/areas/:area_id/services/:service_id/events`.\n","parameters":[{"type":"string","name":"place_id","in":"path","description":"Place ID is the UUID for a given place within ReCollect","required":true},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Details about the request you want to create","schema":{"$ref":"#/definitions/NewServiceRequest"},"required":true,"name":"body","in":"body"}],"responses":{"201":{"description":"201 Created","schema":{"items":{"$ref":"#/definitions/ServiceRequest"},"type":"array"}},"404":{"description":"404 Not Found - could not find anything at this path."},"400":{"description":"400 Bad Request - could not fulfill this request."}}}},"/areas/{area_id}/services/{svc_id}/campaigns/{campaign_id}":{"delete":{"description":"Delete a campaign permanently.","tags":["messaging"],"summary":"Delete a Campaign","responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"path","name":"campaign_id","type":"integer","required":true,"description":"ID of the given Campaign"}]},"put":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"path","name":"campaign_id","type":"integer","required":true,"description":"ID of the given Campaign"},{"description":"JSON Object with the new Campaign body","required":true,"schema":{"$ref":"#/definitions/Campaign"},"name":"body","in":"body"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"schema":{"$ref":"#/definitions/Campaign"},"description":"200 OK"},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}},"summary":"Update a Campaign","tags":["messaging"],"description":"Update the content, time or target of a campaign"},"get":{"description":"Retrieve a specific campaign by ID","summary":"Get a Campaign","tags":["messaging"],"responses":{"200":{"schema":{"$ref":"#/definitions/Campaign"},"description":"200 OK"},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"path","name":"campaign_id","type":"integer","required":true,"description":"ID of the given Campaign"}]}},"/metrics/{area_id}/services/{svc_id}/support_requests_first_time_reqs_stats":{"get":{"description":"Get number of first-time Support Requestors who created a ticket in the given timeframe.\n","tags":["metrics"],"summary":"Get timeseries stats on Support Requests creators","responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}]}},"/users/me/options/{opt_name}":{"put":{"parameters":[{"name":"opt_name","type":"string","in":"path","description":"Name of the user option. Should be lowercase [a-z0-9_]","required":true},{"description":"JSON containing the new field to update","schema":{"$ref":"#/definitions/UpdateUserOpt"},"name":"body","in":"body"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"403":{"description":"403 Forbidden - must be a valid admin user."}},"summary":"Set a user option","tags":["metadata"],"description":"Save a user preference for the current user."}},"/metrics/{area_id}/services/{svc_id}/calendar_first_timers_over_time":{"get":{"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}],"description":"Get the dashboard metrics for the given time period\n","summary":"Calendar first time visitors per day","tags":["metrics"]}},"/areas/{area_id}/services/{svc_id}/zones/{zone_id}.geojson":{"get":{"responses":{"200":{"description":"200 OK - the request was successful"}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Zone ID. Can be an ID or name.","required":true,"name":"zone_id","type":"string","in":"path"}],"description":"This method will retrieve geospatial data for the given Zone as GeoJson.\n","tags":["geo"],"summary":"Get a Zone"}},"/places/{place_id}/services/{svc_id}/events":{"get":{"parameters":[{"type":"string","name":"place_id","in":"path","description":"Place ID is the UUID for a given place within ReCollect","required":true},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"query","type":"string","name":"include_message","description":"Which reminder target type of message would you like? (eg: \"email\" or \"sms\" or \"voice\")"},{"in":"query","type":"boolean","name":"nomerge","description":"Should we not merge events together into one per day? (Default is false: merge them into one per day)"},{"in":"query","type":"string","name":"locale","description":"The locale code for this request. (eg: \"en\" or \"fr\")"},{"name":"after","type":"string","in":"query","description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources after the given date."},{"description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources before the given date.","in":"query","type":"string","name":"before"}],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"schema":{"$ref":"#/definitions/PlaceServiceEvents"},"description":"200 OK"},"400":{"description":"400 Bad Request - could not fulfill this request."}},"summary":"Return the Events for a place in a given service.","tags":["calendar"],"description":"<p>Returns up to 100 events, starting after the current time. The time range can be set using the <code>before</code> and <code>after</code> Query parameters.</p> <p>If a Client instance ID header is set (<code>X-App-Instance</code>> or <code>X-Widget-Instance</code>), OR if the caller is an administrator, then any Client Events for the given place are also included.</p>\n"}},"/areas/{area_id}/services/{svc_id}/pages/{locale}/material/export":{"get":{"summary":"Export Wizard material data","tags":["pages"],"description":"This method will return a JSON structure containing all wizard data about materials.\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"path","type":"string","name":"locale","required":true,"description":"The locale code for this request. (eg: \"en\" or \"fr\")"}],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"produces":["application/json"]}},"/areas.json":{"get":{"description":"This method will return a list of all areas. Only available to global admins.\n","tags":["settings"],"summary":"Get list of all Areas","responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK","schema":{"items":{"$ref":"#/definitions/Area"},"type":"array"}},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Optional, if provided will return data describing areas this email address is an administrator for.","type":"string","name":"by_admin_email","in":"query"}]}},"/areas/{area_id}/services/{svc_id}/pages.xml":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK - the request was successful"}},"summary":"Export Page data as a sitemap.xml file","tags":["pages"],"description":"This method will Export all of your Wizard page content for search\n","produces":["text/csv"]}},"/areas/{area_id}/services/{svc_id}/templates":{"get":{"tags":["settings"],"summary":"Fetch email templates","description":"Fetch email templates - both system defaults and also templates that have been forked for this specific service.\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"type":"string","name":"global","in":"query","description":"Used to request \"global\" resources if true. Otherwise returns resources local to this service."},{"in":"query","name":"name","type":"string","description":"The name of the template."}],"responses":{"200":{"description":"200 OK - the request was successful"},"400":{"description":"400 Bad Request - could not fulfill this request."}}},"post":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"The body should be a JSON object containing two keys: \"locale\" and \"name\".  They should be set to the template name you want to fork, and the locale code you want to fork it in.  Templates are locale specific, so you need to fork them for each locale you want the customization to be in.\n","schema":{"$ref":"#/definitions/NewServiceTemplate"},"name":"body","in":"body"}],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK - the request was successful"}},"tags":["settings"],"summary":"Fork an email template to customize it","description":"Create a custom copy of an email template, so that it can be modified for that specific customer. \n"}},"/links":{"get":{"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"403":{"description":"403 Forbidden - must be a valid admin user."}},"parameters":[{"minimum":0,"name":"limit","type":"integer","in":"query","description":"Return at most this number of results","maximum":100},{"description":"Skip this number of results from the beginning of the list","in":"query","type":"integer","name":"offset","minimum":0},{"description":"The exact URL of the link you want to fetch.","in":"query","type":"string","name":"url"},{"description":"The partial URL of the link you want to fetch.","in":"query","type":"string","name":"like"},{"in":"query","type":"string","name":"short_name","description":"The short name of the link you want to fetch."},{"name":"area_id","type":"string","in":"query","description":"Area ID (name or ID number)"}],"description":"This method will retrieve all inventories for a place.\n","summary":"Get Links","tags":["links"]}},"/areas/{area_id}/services/{svc_id}/connector/{cname}":{"delete":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"cname","type":"string","in":"path","description":"connector name","required":true}],"responses":{"204":{"description":"204 No Content"},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."}},"tags":["connector"],"summary":"Delete a connector (Super Admin only)","description":"For permanently deleting a connector. Use with caution!"}},"/metrics/{area_id}/services/{svc_id}/stats/{stat_name}/{days}":{"get":{"description":"<p>Get the list of requested stat</p> <ul>\n  <li>query is the name of stat</li>\n  <li>offset is the number of days</li>\n</ul>\n","tags":["metrics"],"summary":"Get the list of requested stat","responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK"},"400":{"description":"400 Bad Request - could not fulfill this request."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"required":true,"description":"Name of the stat","in":"path","type":"string","name":"stat_name"},{"description":"Days of the stat","required":true,"name":"days","type":"integer","in":"path","minimum":0}]}},"/metrics/{area_id}/services/{svc_id}/suggested_materials":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}],"responses":{"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"tags":["metrics"],"summary":"Waste wizard materials, ordered by view counts","description":"Get suggested material (failed_searches) list\n"}},"/metrics/{area_id}/services/{svc_id}/wizard_top_materials":{"get":{"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"},{"required":false,"description":"The Page Set name you are interested in results for","in":"query","type":"string","name":"set"},{"minimum":0,"name":"limit","type":"integer","in":"query","description":"Return at most this number of results","maximum":100},{"description":"Skip this number of results from the beginning of the list","in":"query","type":"integer","name":"offset","minimum":0}],"description":"Get the dashboard metrics for the given time period\n","summary":"Waste wizard materials, ordered by view counts","tags":["metrics"]}},"/areas/{area_id}/services/{svc_id}.kmz":{"get":{"produces":["application/vnd.google-earth.kml+xml"],"description":"This method will retrieve all polygons for a given service as KMZ data.\n","summary":"Fetch a services' geodata via KMZ","tags":["geo"],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK - the request was successful"}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}]}},"/areas/{area_id}/services/{svc_id}/event_flags/order":{"post":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}],"responses":{"400":{"description":"400 Bad Request - could not fulfill this request."},"200":{"description":"200 OK"}},"summary":"Set the order of EventFlags","tags":["calendar"],"description":"You can set the order of EventFlags to control how they are rendered. The order is used both in the Admin panel, and also when ordering events on calendars and in notifications.\n"}},"/metrics/{area_id}/services/{svc_id}/support_by_problem_stats":{"get":{"description":"Get the stats on what kind of Support Requests were created and how they were resolved, in the given time period.\n","tags":["metrics"],"summary":"Get stats about support requests, grouped by problem","responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}]}},"/areas/{area_id}/services/{svc_id}/game/incorrect_guesses":{"get":{"summary":"Get bad guesses from the Sorting Game","tags":["waste-game"],"description":"Get the list of the items most commonly played incorrectly in the Sorting Game.","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"description":"200 OK"},"403":{"description":"403 Forbidden - must be a valid admin user."}}}},"/areas/{area_id}/services/{svc_id}/parcels/{parcel_id}":{"patch":{"description":"Update a parcel. Only the fields sent in the body are changed. Allowed fields are house, street, city, province, country, unit, external_id, source, and location (lat/lng).\n","tags":["address"],"summary":"Update parcel attributes","responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK - the request was successful"},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"required":true,"description":"The ID of the parcel you want to get zones for.","in":"path","name":"parcel_id","type":"string"},{"required":true,"schema":{"properties":{"lat":{"format":"float","type":"number"},"city":{"type":"string"},"street":{"type":"string"},"province":{"type":"string"},"country":{"type":"string"},"external_id":{"type":"string"},"unit":{"type":"string"},"lng":{"type":"number","format":"float"},"house":{"type":"string"},"source":{"type":"string"}},"type":"object"},"description":"JSON object with the parcel fields to update","in":"body","name":"body"}]}},"/metrics/areas/{area_id}/services/{svc_id}/raw":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"description":"Which metrics would you like returned? See the Metrics List endpoint for a list of available metrics. Specified using a comma separated list of metric \"codenames\".","name":"metrics","type":"string","in":"query"},{"in":"query","type":"string","name":"period","description":"What time period should results be grouped into? For example: \"1month\", \"1quarter\", \"1year\""},{"description":"If true, only the latest row for each metric will be returned. Useful for fetching metrics that may lag such as Mobile Downloads.","name":"latest","type":"boolean","in":"query"},{"name":"max_only","type":"boolean","in":"query","description":"If true, only return the \"max\" value, and do not include the \"sum\" values for each metric. Useful to simplify the output."},{"description":"Specify time in the past, relative to now, to fetch results for.  Eg: \"14days\", or \"3months\".  Will return data at this relative time.","in":"query","type":"string","name":"ago"},{"description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources on or after the given date.","type":"string","name":"start_ymd","in":"query"},{"in":"query","type":"string","name":"end_ymd","description":"A date timestamp in the format YYYY-MM-DD. Query will be filtered to only show resources on or before the given date."},{"in":"query","type":"string","name":"tag_name","description":"The name of the tag you wish to filter on. Must be used with the `tag_value` option as well."},{"description":"The value of the tag you wish to filter on. Must be used with the `tag_name` option as well.","in":"query","name":"tag_value","type":"string"},{"in":"query","type":"boolean","name":"accumulate","description":"If True, metrics will be accumulated in each period, to a rolling total."},{"description":"If True, only metrics for apps owned by the service are returned.  Data from enterprise apps is not returned for these services.","in":"query","type":"boolean","name":"own_app_only"},{"in":"query","name":"merge","type":"boolean","description":"Should results be merged together into one datapoint?"},{"type":"boolean","name":"csv","in":"query","description":"If True, results will be returned as a CSV instead of JSON."}],"responses":{"200":{"description":"200 OK"},"404":{"description":"404 Not Found - could not find anything at this path."}},"tags":["metrics"],"summary":"Fetch metrics for a Service"}},"/metrics/{area_id}/services/{svc_id}/wizard_views_over_time":{"get":{"parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"},{"required":false,"description":"The Page Set name you are interested in results for","in":"query","type":"string","name":"set"}],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}},"tags":["metrics"],"summary":"Waste wizard views per day","description":"Get the dashboard metrics for the given time period\n"}},"/service-metrics.csv":{"get":{"parameters":[{"description":"Account ID","name":"account_id","type":"integer","in":"query"},{"description":"The tags that you would like to break out into separate columns.","type":"string","name":"tags","in":"query"}],"responses":{"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"200 OK - the request was successful"},"400":{"description":"400 Bad Request - could not fulfill this request."},"404":{"description":"404 Not Found - could not find anything at this path."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}},"tags":["administrator"],"summary":"Fetch adoption related metrics for each service as a CSV.","description":"This method will return a list of services along with detailed metrics related to the usage and adoption levels.  Available to Account Admin users only.  Global Admins can use the <code>account_id</code> query parameter to optionally specify a specific account.\n"}},"/pickups/{routeware_id}":{"get":{"description":"<p>You can fetch an existing Service Request by Routeware ID.</p> <p>This request is admin only.</p>\n","summary":"Get a ServiceRequest","tags":["service-request"],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"204 No Content - the request was successful, but no content is returned."},"404":{"description":"404 Not Found - could not find anything at this path."}},"parameters":[{"required":true,"description":"Routeware ID the UUID for the request","in":"path","type":"string","name":"routeware_id"}]}},"/accounts":{"get":{"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"200":{"schema":{"type":"array","items":{"$ref":"#/definitions/Account"}},"description":"200 OK"},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}},"parameters":[],"description":"This method will return all Accounts. Only available to global admins.\n","tags":["settings"],"summary":"Get all Accounts"}},"/metrics/{area_id}/services/{svc_id}/calendar_views_over_time":{"get":{"summary":"Calendar views per day","tags":["metrics"],"description":"Get the dashboard metrics for the given time period\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}],"responses":{"404":{"description":"404 Not Found - could not find anything at this path."},"200":{"description":"200 OK - the request was successful"},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."}}}},"/areas/{area_id}/services/{svc_id}/opts":{"patch":{"summary":"Update specific Service options","tags":["settings"],"description":"This method will update the Service options.  Only the specified options will be updated, the rest will be preserved.\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"in":"body","name":"body","schema":{"$ref":"#/definitions/ServiceOpts"},"required":true,"description":"The options to update for this Service.  Should be a JSON object of key value pairs (msgid to msgstr) to override for the given service.  Only the top level key is compared - no nested comparisons happen in this action.\n"}],"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}}}},"/image/{image_id}":{"put":{"responses":{"201":{"description":"201 Created - the resource was created."},"400":{"description":"400 Bad Request - could not fulfill this request."},"403":{"description":"403 Forbidden - must be a valid admin user."}},"parameters":[{"name":"image_id","type":"string","in":"path","description":"ID or name of the given image","required":true},{"description":"Image content upload","required":true,"type":"file","name":"content","in":"formData"}],"description":"Update an image in ReCollect\n","summary":"Upload an Image","tags":["images"]}},"/service_requests/{sr_id}":{"delete":{"tags":["service-request"],"summary":"Delete a ServiceRequest","description":"<p>You can cancel an existing Service Request with the <code>DELETE /api/service_requests/:id</code> API method. The ID is the 9 digit unique code for this pickup request.</p> <p>The specified Service Request will be marked as cancelled in the database.</p>\n","parameters":[{"in":"path","name":"sr_id","type":"string","required":true,"description":"Process Request ID is a short 9 character identifier"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"204":{"description":"204 No Content - the request was successful, but no content is returned."},"404":{"description":"404 Not Found - could not find anything at this path."},"403":{"description":"403 Forbidden - must be a valid admin user."},"400":{"description":"400 Bad Request - could not fulfill this request."}}},"put":{"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"400":{"description":"400 Bad Request - could not fulfill this request."}},"parameters":[{"in":"path","name":"sr_id","type":"string","required":true,"description":"Process Request ID is a short 9 character identifier"},{"name":"body","in":"body","description":"Details about the request you want to create","required":true,"schema":{"$ref":"#/definitions/UpdateServiceRequest"}}],"description":"<p>You can update an existing Service Request with the <code>PUT /api/service_requests/:id</code> API method. The ID is the 9 digit unique code for this pickup request.</p> <p>At this time, only the <code>day</code> option can be changed. It should be an ISO8601 timestamp with timezone.  For day-long slots, specify midgnight in the correct timezone.</p>\n","tags":["service-request"],"summary":"Update a ServiceRequest"},"get":{"parameters":[{"in":"path","name":"sr_id","type":"string","required":true,"description":"Process Request ID is a short 9 character identifier"}],"responses":{"401":{"description":"401 Unauthorized - must provide a valid Authorization header."},"404":{"description":"404 Not Found - could not find anything at this path."},"403":{"description":"403 Forbidden - must be a valid admin user."},"200":{"description":"204 No Content - the request was successful, but no content is returned."}},"tags":["service-request"],"summary":"Get a ServiceRequest","description":"<p>You can fetch an existing Service Request by an External ID.</p> <p>This request is admin only.</p>\n"}},"/metrics/{area_id}/services/{svc_id}/app_reminder_stats":{"get":{"tags":["metrics"],"summary":"Get app notification stats","description":"Get the numbers of app notifications\n","parameters":[{"description":"Area ID or Area name can be used.","required":true,"name":"area_id","type":"string","in":"path"},{"description":"Service ID. When used with an Area, a Service name (like \"waste\") can be used.","required":true,"name":"svc_id","type":"string","in":"path"},{"name":"start_date","type":"string","in":"query","description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to 2010-01-01","required":false},{"required":false,"description":"A date in ISO-8601 (YYYY-MM-DD) format. Defaults to start of today.","in":"query","type":"string","name":"end_date"}],"responses":{"204":{"description":"204 No Content - the request was successful, but no content is returned."},"401":{"description":"401 Unauthorized - must provide a valid Authorization header."}
[...]
